> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.wisboo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.wisboo.com/_mcp/server.

# List product accesses

GET https://api.wisboo.com/v1/stores/{store_id}/product_accesses

Devuelve una lista paginada de accessos a productos, ordenadas por fecha de creación (más reciente primero).

Cada acceso incluye los datos del producto, usuario y métricas de progreso como fecha de inicio, fecha de finalización, nota y estado de aprobación (estos datos en caso de que el producto sea un curso).

Los accesos pueden ser filtrados por ID de producto o ID del usuario.

Reference: https://docs.wisboo.com/wisboo-api/product-access/list-product-accesses

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `store_id` (any, required) — ID de la tienda

### Query parameters

- `page` (integer, optional) — Página a consultar
- `size` (integer, optional) — Cantidad de items por página
- `product_id[]` (string, optional) — ID de productos para filtrar
- `user_id[]` (string, optional) — ID de usuarios para filtrar

## Response

### 200

Successful request

- `object` (string, optional)
- `url` (string, optional)
- `data` (list of V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `metadata` (V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaMetadata, optional)

## Types

### V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional)
- `created_at` (datetime, optional)
- `started_at` (any, optional, nullable)
- `completed_at` (any, optional, nullable)
- `access_due_date` (datetime, optional)
- `expiration_days` (integer, optional)
- `status` (string, optional)
- `grade` (any, optional, nullable)
- `concept_grade` (any, optional, nullable)
- `passed` (boolean, optional)
- `progress` (integer, optional)
- `certificate_url` (any, optional, nullable)
- `product` (V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItemsProduct, optional)
- `user` (V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItemsUser, optional)

### V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaMetadata

- `page_number` (integer, optional)
- `total_record_count` (integer, optional)
- `page_size` (integer, optional)

### V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItemsProduct

- `id` (string, optional)
- `slug` (string, optional)
- `type` (string, optional)
- `name` (string, optional)

### V1StoresStoreIdProductAccessesGetResponsesContentApplicationJsonSchemaDataItemsUser

- `id` (string, optional)
- `name` (string, optional)
- `last_name` (string, optional)
- `external_id` (any, optional, nullable)
- `email` (string, optional)

## Examples

**Response**

```json
{
  "object": "string",
  "url": "string",
  "data": [
    {
      "id": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "started_at": null,
      "completed_at": null,
      "access_due_date": "2024-01-15T09:30:00Z",
      "expiration_days": 1,
      "status": "string",
      "grade": null,
      "concept_grade": null,
      "passed": true,
      "progress": 1,
      "certificate_url": null,
      "product": {
        "id": "string",
        "slug": "string",
        "type": "string",
        "name": "string"
      },
      "user": {
        "id": "string",
        "name": "string",
        "last_name": "string",
        "external_id": null,
        "email": "string"
      }
    }
  ],
  "metadata": {
    "page_number": 1,
    "total_record_count": 1,
    "page_size": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.wisboo.com/v1/stores/:store_id/product_accesses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wisboo.com/v1/stores/:store_id/product_accesses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wisboo.com/v1/stores/:store_id/product_accesses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wisboo.com/v1/stores/:store_id/product_accesses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wisboo.com/v1/stores/:store_id/product_accesses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wisboo.com/v1/stores/:store_id/product_accesses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wisboo.com/v1/stores/:store_id/product_accesses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wisboo.com/v1/stores/:store_id/product_accesses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```